Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExCAction.h File Reference

`#include "ExDefine.h"`

Go to the source code of this file.

## Data Structures
class | ExCAction
## Defines
#define | START_BASIC_ACTION_MAP 30000
#define | NOTHING 0
#define | QUIT 30001
#define | RESET 30002
#define | END_BASIC_ACTION_MAP 30098
#define | START_CAMERA_ACTION_MAP 30099
#define | CAMERA_CURRENT_START_ROTATEX_UP 30100
#define | CAMERA_CURRENT_STOP_ROTATEX_UP 30101
#define | CAMERA_CURRENT_ROTATEX_UP 30102
#define | CAMERA_CURRENT_START_ROTATEX_DOWN 30103
#define | CAMERA_CURRENT_STOP_ROTATEX_DOWN 30104
#define | CAMERA_CURRENT_ROTATEX_DOWN 30105
#define | CAMERA_CURRENT_START_ROTATEY_UP 30106
#define | CAMERA_CURRENT_STOP_ROTATEY_UP 30107
#define | CAMERA_CURRENT_ROTATEY_UP 30108
#define | CAMERA_CURRENT_START_ROTATEY_DOWN 30109
#define | CAMERA_CURRENT_STOP_ROTATEY_DOWN 30110
#define | CAMERA_CURRENT_ROTATEY_DOWN 30111
#define | CAMERA_CURRENT_START_ROTATEZ_UP 30112
#define | CAMERA_CURRENT_STOP_ROTATEZ_UP 30113
#define | CAMERA_CURRENT_ROTATEZ_UP 30114
#define | CAMERA_CURRENT_START_ROTATEZ_DOWN 30115
#define | CAMERA_CURRENT_STOP_ROTATEZ_DOWN 30116
#define | CAMERA_CURRENT_ROTATEZ_DOWN 30117
#define | CAMERA_CURRENT_START_INCREASE_SPEED 30121
#define | CAMERA_CURRENT_STOP_INCREASE_SPEED 30122
#define | CAMERA_CURRENT_INCREASE_SPEED 30123
#define | CAMERA_CURRENT_START_DECREASE_SPEED 30124
#define | CAMERA_CURRENT_STOP_DECREASE_SPEED 30125
#define | CAMERA_CURRENT_DECREASE_SPEED 30126
#define | CAMERA_CURRENT_FULL_STOP 30127
#define | CAMERA_NEXT_CAM 30128
#define | CAMERA_PREV_CAM 30129
#define | CAMERA_CURRENT_START_INCREASE_ZOOM 30130
#define | CAMERA_CURRENT_STOP_INCREASE_ZOOM 30131
#define | CAMERA_CURRENT_INCREASE_ZOOM 30132
#define | CAMERA_CURRENT_START_DECREASE_ZOOM 30133
#define | CAMERA_CURRENT_STOP_DECREASE_ZOOM 30134
#define | CAMERA_CURRENT_DECREASE_ZOOM 30135
#define | CAMERA_SET_POS_X 30136
#define | CAMERA_SET_POS_Y 30137
#define | CAMERA_SET_POS_Z 30138
#define | CAMERA_SET_TARGET_POS_X 30139
#define | CAMERA_SET_TARGET_POS_Y 30140
#define | CAMERA_SET_TARGET_POS_Z 30141
#define | CAMERA_SET_ANGLE_X 30142
#define | CAMERA_SET_ANGLE_Y 30143
#define | CAMERA_SET_ANGLE_Z 30144
#define | END_CAMERA_ACTION_MAP 30198
#define | START_SOUND_ACTION_MAP 30299
#define | LIST_SOUND 30300
#define | REMOVE_SOUND 30301
#define | PLAY_SOUND 30302
#define | STOP_SOUND 30303
#define | SET_REPEATS_SOUND 30304
#define | GET_REPEATS_SOUND 30305
#define | ADD_SOUND 30306
#define | END_SOUND_ACTION_MAP 30398
#define | START_INTERFACE_ACTION_MAP 30399
#define | SHOW_INTERFACE_REGION 30400
#define | HIDE_INTERFACE_REGION 30401
#define | LIST_INTERFACE 30402
#define | ENABLE_INTERFACE 30403
#define | DISABLE_INTERFACE 30404
#define | ADD_INTERFACE 30405
#define | ENABLE_ALL_INTERFACE 30406
#define | DISABLE_ALL_INTERFACE 30407
#define | END_INTERFACE_ACTION_MAP 30498
#define | START_MAP_ACTION_MAP 30499
#define | SHOW_MAP_SKY_BOX 30500
#define | HIDE_MAP_SKY_BOX 30501
#define | SHOW_MAP_MESH 30502
#define | HIDE_MAP_MESH 30503
#define | ENABLE_MAP_OCTREE 30504
#define | DISABLE_MAP_OCTREE 30505
#define | SHOW_MAP_OCTREE_SUBDIVISON 30506
#define | HIDE_MAP_OCTREE_SUBDIVISON 30507
#define | END_MAP_ACTION_MAP 30598
#define | START_FOG_ACTION_MAP 30599
#define | ENABLE_FOG 30600
#define | DISABEL_FOG 30601
#define | SET_FOG_COLOR_R 30602
#define | SET_FOG_COLOR_G 30603
#define | SET_FOG_COLOR_B 30604
#define | SET_FOG_START_POINT 30605
#define | SET_FOG_END_POINT 30606
#define | SET_FOG_DENSITY 30607
#define | SET_FOG_ALGO_LINEAR 30608
#define | SET_FOG_ALGO_EXP2 30609
#define | SET_FOG_ALGO_EXP 30610
#define | END_FOG_ACTION_MAP 30698
#define | START_PARTICULESYSTEME_ACTION_MAP 30699
#define | LOAD_PARTICULESYSTEME 30700
#define | STAR_PARTICULESYSTEME 30701
#define | STOP_PARTICULESYSTEME 30702
#define | PAUSE_PARTICULESYSTEME 30703
#define | STAR_ALL_PARTICULESYSTEME 30704
#define | STOP_ALL_PARTICULESYSTEME 30705
#define | PAUSE_ALL_PARTICULESYSTEME 30706
#define | LIST_PARTICULESYSTEME 30707
#define | END_PARTICULESYSTEME_ACTION_MAP 30799
#define | START_CONSOL_ACTION_MAP 30800
#define | ENABLE_CONSOL_BACKGROUND_TEXTURE 30801
#define | DISABLE_CONSOL_BACKGROUND_TEXTURE 30802
#define | SET_CONSOL_BACKGROUND_TEXURE 30803
#define | SET_CONSOL_BACKGROUND_COLOR 30804
#define | SET_CONSOL_BACKGROUND_COLOR_BLUE 30805
#define | SET_CONSOL_BACKGROUND_COLOR_GREEN 30806
#define | SET_CONSOL_BACKGROUND_COLOR_RED 30807
#define | ENABLE_CONSOL_BACKGROUND_BLENDING 30809
#define | DISABLE_CONSOL_BACKGROUND_BLENDING 30810
#define | SET_CONSOL_BACKGROUND_BLENDING 30811
#define | SHOW_FULL_CONSOL 30812
#define | SHOW_HALF_CONSOL 30813
#define | HIDE_CONSOL 30814
#define | CONSOL_NEXT_AVIABLE_STATE 30815
#define | CONSOL_LINE_UP 30816
#define | CONSOL_LINE_DOWN 30817
#define | END_CONSOL_ACTION_MAP 30899
#define | START_MODEL_ACTION_MAP 30900
#define | LIST 30901
#define | SET_CURRENT_OBJECT_BY_ID 30902
#define | SET_CURRENT_OBJECT_BY_NAME 30903
#define | NEXT_FRAME 30904
#define | PREVIOUS_FRAME 30905
#define | SET_CURENT_FRAME 30906
#define | TURN_LEFT 30940
#define | TURN_RIGHT 30941
#define | LOOK_UP 30942
#define | LOOK_DOWN 30943
#define | START_RUN 30950
#define | STOP_RUN 30951
#define | START_ACTION 30952
#define | STOP_ACTION 30953
#define | MODEL_SET_POS_X 30954
#define | MODEL_SET_POS_Y 30955
#define | MODEL_SET_POS_Z 30956
#define | MODEL_SET_ANGLE_X 30957
#define | MODEL_SET_ANGLE_Y 30958
#define | MODEL_SET_ANGLE_Z 30959
#define | MODEL_SET_ACTION 30960
#define | MODEL_LOAD_WITH_NAME 30961
#define | MODEL_LOAD 30962
#define | END_MODEL_ACTION_MAP 30999
#define | START_MENU_ACTION_MAP 31000
#define | ENABLE_MENU 31001
#define | DISABLE_MENU 31002
#define | ENABLE_DISABLE_MENU 31003
#define | SET_CURRENT_MENU 31004
#define | END_MENU_ACTION_MAP 31099
#define | START_WINDOW_ACTION_MAP 31100
#define | SHOW_FPS_STAT 31101
#define | HIDE_FPS_STAT 31102
#define | ENABLE_GRIDE 31103
#define | DISABLE_GRIDE 31104
#define | SWITCH_GRIDE 31105
#define | SET_RESOLUTION_800_600_16 31106
#define | SET_RESOLUTION_800_600_24 31107
#define | SET_RESOLUTION_800_600_32 31108
#define | SET_RESOLUTION_1024_768_16 31109
#define | SET_RESOLUTION_1024_768_24 31110
#define | SET_RESOLUTION_1024_768_32 31111
#define | SET_RESOLUTION_1600_1200_16 31112
#define | SET_RESOLUTION_1600_1200_24 31113
#define | SET_RESOLUTION_1600_1200_32 31114
#define | SET_POLYGONMODE_POINTS 31115
#define | SET_POLYGONMODE_LINES 31116
#define | SET_POLYGONMODE_FILL 31117
#define | END_WINDOW_ACTION_MAP 31199
#define | START_COMMAND_ACTION_MAP 31200
#define | LOAD_COMMAND_CONFIG_FILE 31201
#define | LOAD_FILE 31202
#define | LOAD_SET_OF_FILE 31203
#define | LOAD_EXEC_CONFIG_FILE 31204
#define | LOAD_MODELE_FILE 31205
#define | LOAD_MAP_FILE 31206
#define | LOAD_INTERFACE_FILE 31207
#define | LOAD_SOUND_FILE 31208
#define | LOAD_CONSOLE_CONFIG_FILE 31209
#define | LOAD_PART_CONFIG_FILE 31210
#define | CHECK_DEVICE 31211
#define | END_COMMAND_ACTION_MAP 31299
#define | START_NETWORK_ACTION_MAP 31300
#define | SHOW_NET_STAT 31301
#define | HIDE_NET_STAT 31302
#define | CONNECT 31303
#define | END_NETWORK_ACTION_MAP 31399
#define | START_TEXTURE_ACTION_MAP 31400
#define | LIST_TEXTURE 31401
#define | LOAD_TEXTURE 31402
#define | UNLOAD_TEXTURE 31403
#define | END_TEXTURE_ACTION_MAP 31499
#define | START_ID_ACTION_MAP 31500
#define | ID_LIST 31501
#define | END_ID_ACTION_MAP 31599
#define | START_CUSTOM_ACTION_ACTION_MAP 39999
#define | CUSTOM_ACTION_1 40001
#define | CUSTOM_ACTION_2 40002
#define | CUSTOM_ACTION_3 40003
#define | CUSTOM_ACTION_4 40004
#define | END_CUSTOM_ACTION_ACTION_MAP 50000
#define | ROTATE_Z_UP 60000
#define | ROTATE_Y_UP 60001
#define | ROTATE_X_UP 60002
#define | ROTATE_Z_DOWN 60003
#define | ROTATE_Y_DOWN 60004
#define | ROTATE_X_DOWN 60005
#define | ZOOM_UP 60006
#define | ZOOM_DOWN 60007
#define | SPEED_UP 60008
#define | SPEED_DOWN 60009

## Define Documentation

#define ADD_INTERFACE 30405

| Definition at line 206 of file ExCAction.h.

#define ADD_SOUND 30306

| Definition at line 195 of file ExCAction.h.

#define CAMERA_CURRENT_DECREASE_SPEED 30126

| Definition at line 159 of file ExCAction.h.

#define CAMERA_CURRENT_DECREASE_ZOOM 30135

| Definition at line 172 of file ExCAction.h. Referenced by ExManagerCamera::InputAction().

#define CAMERA_CURRENT_FULL_STOP 30127

| Definition at line 161 of file ExCAction.h.

#define CAMERA_CURRENT_INCREASE_SPEED 30123

| Definition at line 155 of file ExCAction.h.

#define CAMERA_CURRENT_INCREASE_ZOOM 30132

| Definition at line 168 of file ExCAction.h. Referenced by ExManagerCamera::InputAction().

#define CAMERA_CURRENT_ROTATEX_DOWN 30105

| Definition at line 135 of file ExCAction.h.

#define CAMERA_CURRENT_ROTATEX_UP 30102

| Definition at line 131 of file ExCAction.h.

#define CAMERA_CURRENT_ROTATEY_DOWN 30111

| Definition at line 143 of file ExCAction.h.

#define CAMERA_CURRENT_ROTATEY_UP 30108

| Definition at line 139 of file ExCAction.h.

#define CAMERA_CURRENT_ROTATEZ_DOWN 30117

| Definition at line 151 of file ExCAction.h.

#define CAMERA_CURRENT_ROTATEZ_UP 30114

| Definition at line 147 of file ExCAction.h.

#define CAMERA_CURRENT_START_DECREASE_SPEED 30124

| Definition at line 157 of file ExCAction.h.

#define CAMERA_CURRENT_START_DECREASE_ZOOM 30133

| Definition at line 170 of file ExCAction.h. Referenced by ExManagerCommand::Init(), and ExManagerCamera::InputAction().

#define CAMERA_CURRENT_START_INCREASE_SPEED 30121

| Definition at line 153 of file ExCAction.h.

#define CAMERA_CURRENT_START_INCREASE_ZOOM 30130

| Definition at line 166 of file ExCAction.h. Referenced by ExManagerCommand::Init(), and ExManagerCamera::InputAction().

#define CAMERA_CURRENT_START_ROTATEX_DOWN 30103

| Definition at line 133 of file ExCAction.h.

#define CAMERA_CURRENT_START_ROTATEX_UP 30100

| Definition at line 129 of file ExCAction.h.

#define CAMERA_CURRENT_START_ROTATEY_DOWN 30109

| Definition at line 141 of file ExCAction.h.

#define CAMERA_CURRENT_START_ROTATEY_UP 30106

| Definition at line 137 of file ExCAction.h.

#define CAMERA_CURRENT_START_ROTATEZ_DOWN 30115

| Definition at line 149 of file ExCAction.h.

#define CAMERA_CURRENT_START_ROTATEZ_UP 30112

| Definition at line 145 of file ExCAction.h.

#define CAMERA_CURRENT_STOP_DECREASE_SPEED 30125

| Definition at line 158 of file ExCAction.h.

#define CAMERA_CURRENT_STOP_DECREASE_ZOOM 30134

| Definition at line 171 of file ExCAction.h. Referenced by ExManagerCommand::Init(), and ExManagerCamera::InputAction().

#define CAMERA_CURRENT_STOP_INCREASE_SPEED 30122

| Definition at line 154 of file ExCAction.h.

#define CAMERA_CURRENT_STOP_INCREASE_ZOOM 30131

| Definition at line 167 of file ExCAction.h. Referenced by ExManagerCommand::Init(), and ExManagerCamera::InputAction().

#define CAMERA_CURRENT_STOP_ROTATEX_DOWN 30104

| Definition at line 134 of file ExCAction.h.

#define CAMERA_CURRENT_STOP_ROTATEX_UP 30101

| Definition at line 130 of file ExCAction.h.

#define CAMERA_CURRENT_STOP_ROTATEY_DOWN 30110

| Definition at line 142 of file ExCAction.h.

#define CAMERA_CURRENT_STOP_ROTATEY_UP 30107

| Definition at line 138 of file ExCAction.h.

#define CAMERA_CURRENT_STOP_ROTATEZ_DOWN 30116

| Definition at line 150 of file ExCAction.h.

#define CAMERA_CURRENT_STOP_ROTATEZ_UP 30113

| Definition at line 146 of file ExCAction.h.

#define CAMERA_NEXT_CAM 30128

| Definition at line 163 of file ExCAction.h.

#define CAMERA_PREV_CAM 30129

| Definition at line 164 of file ExCAction.h.

#define CAMERA_SET_ANGLE_X 30142

| Definition at line 180 of file ExCAction.h. Referenced by ExManagerCamera::InputAction().

#define CAMERA_SET_ANGLE_Y 30143

| Definition at line 181 of file ExCAction.h. Referenced by ExManagerCamera::InputAction().

#define CAMERA_SET_ANGLE_Z 30144

| Definition at line 182 of file ExCAction.h. Referenced by ExManagerCamera::InputAction().

#define CAMERA_SET_POS_X 30136

| Definition at line 174 of file ExCAction.h. Referenced by ExManagerCamera::InputAction().

#define CAMERA_SET_POS_Y 30137

| Definition at line 175 of file ExCAction.h. Referenced by ExManagerCamera::InputAction().

#define CAMERA_SET_POS_Z 30138

| Definition at line 176 of file ExCAction.h. Referenced by ExManagerCamera::InputAction().

#define CAMERA_SET_TARGET_POS_X 30139

| Definition at line 177 of file ExCAction.h. Referenced by ExManagerCamera::InputAction().

#define CAMERA_SET_TARGET_POS_Y 30140

| Definition at line 178 of file ExCAction.h. Referenced by ExManagerCamera::InputAction().

#define CAMERA_SET_TARGET_POS_Z 30141

| Definition at line 179 of file ExCAction.h. Referenced by ExManagerCamera::InputAction().

#define CHECK_DEVICE 31211

| Definition at line 353 of file ExCAction.h.

#define CONNECT 31303

| Definition at line 362 of file ExCAction.h. Referenced by ExManagerNetwork::InputAction().

#define CONSOL_LINE_DOWN 30817

| Definition at line 273 of file ExCAction.h.

#define CONSOL_LINE_UP 30816

| Definition at line 272 of file ExCAction.h.

#define CONSOL_NEXT_AVIABLE_STATE 30815

| Definition at line 271 of file ExCAction.h.

#define CUSTOM_ACTION_1 40001

| Definition at line 385 of file ExCAction.h.

#define CUSTOM_ACTION_2 40002

| Definition at line 386 of file ExCAction.h.

#define CUSTOM_ACTION_3 40003

| Definition at line 387 of file ExCAction.h.

#define CUSTOM_ACTION_4 40004

| Definition at line 388 of file ExCAction.h.

#define DISABEL_FOG 30601

| Definition at line 229 of file ExCAction.h.

#define DISABLE_ALL_INTERFACE 30407

| Definition at line 208 of file ExCAction.h.

#define DISABLE_CONSOL_BACKGROUND_BLENDING 30810

| Definition at line 266 of file ExCAction.h.

#define DISABLE_CONSOL_BACKGROUND_TEXTURE 30802

| Definition at line 259 of file ExCAction.h.

#define DISABLE_GRIDE 31104

| Definition at line 323 of file ExCAction.h.

#define DISABLE_INTERFACE 30404

| Definition at line 205 of file ExCAction.h.

#define DISABLE_MAP_OCTREE 30505

| Definition at line 219 of file ExCAction.h.

#define DISABLE_MENU 31002

| Definition at line 311 of file ExCAction.h. Referenced by ExManagerMenu::InputAction(), and ExManagerMenu::InputCommand().

#define ENABLE_ALL_INTERFACE 30406

| Definition at line 207 of file ExCAction.h.

#define ENABLE_CONSOL_BACKGROUND_BLENDING 30809

| Definition at line 265 of file ExCAction.h.

#define ENABLE_CONSOL_BACKGROUND_TEXTURE 30801

| Definition at line 258 of file ExCAction.h.

#define ENABLE_DISABLE_MENU 31003

| Definition at line 312 of file ExCAction.h. Referenced by ExManagerCommand::Init(), and ExManagerMenu::InputAction().

#define ENABLE_FOG 30600

| Definition at line 228 of file ExCAction.h.

#define ENABLE_GRIDE 31103

| Definition at line 322 of file ExCAction.h.

#define ENABLE_INTERFACE 30403

| Definition at line 204 of file ExCAction.h.

#define ENABLE_MAP_OCTREE 30504

| Definition at line 218 of file ExCAction.h.

#define ENABLE_MENU 31001

| Definition at line 310 of file ExCAction.h. Referenced by ExManagerMenu::InputAction().

#define END_BASIC_ACTION_MAP 30098

| Definition at line 124 of file ExCAction.h.

#define END_CAMERA_ACTION_MAP 30198

| Definition at line 184 of file ExCAction.h.

#define END_COMMAND_ACTION_MAP 31299

| Definition at line 354 of file ExCAction.h. Referenced by ExManagerCommand::ProcesExCAction().

#define END_CONSOL_ACTION_MAP 30899

| Definition at line 274 of file ExCAction.h.

#define END_CUSTOM_ACTION_ACTION_MAP 50000

| Definition at line 389 of file ExCAction.h.

#define END_FOG_ACTION_MAP 30698

| Definition at line 239 of file ExCAction.h.

#define END_ID_ACTION_MAP 31599

| Definition at line 379 of file ExCAction.h. Referenced by ExManagerCommand::ProcesExCAction().

#define END_INTERFACE_ACTION_MAP 30498

| Definition at line 209 of file ExCAction.h.

#define END_MAP_ACTION_MAP 30598

| Definition at line 222 of file ExCAction.h.

#define END_MENU_ACTION_MAP 31099

| Definition at line 314 of file ExCAction.h. Referenced by ExManagerCommand::ProcesExCAction().

#define END_MODEL_ACTION_MAP 30999

| Definition at line 304 of file ExCAction.h. Referenced by ExManagerCommand::ProcesExCAction().

#define END_NETWORK_ACTION_MAP 31399

| Definition at line 363 of file ExCAction.h. Referenced by ExManagerCommand::ProcesExCAction().

#define END_PARTICULESYSTEME_ACTION_MAP 30799

| Definition at line 252 of file ExCAction.h.

#define END_SOUND_ACTION_MAP 30398

| Definition at line 196 of file ExCAction.h.

#define END_TEXTURE_ACTION_MAP 31499

| Definition at line 372 of file ExCAction.h.

#define END_WINDOW_ACTION_MAP 31199

| Definition at line 337 of file ExCAction.h. Referenced by ExManagerCommand::ProcesExCAction().

#define GET_REPEATS_SOUND 30305

| Definition at line 194 of file ExCAction.h.

#define HIDE_CONSOL 30814

| Definition at line 270 of file ExCAction.h.

#define HIDE_FPS_STAT 31102

| Definition at line 321 of file ExCAction.h.

#define HIDE_INTERFACE_REGION 30401

| Definition at line 202 of file ExCAction.h.

#define HIDE_MAP_MESH 30503

| Definition at line 217 of file ExCAction.h.

#define HIDE_MAP_OCTREE_SUBDIVISON 30507

| Definition at line 221 of file ExCAction.h.

#define HIDE_MAP_SKY_BOX 30501

| Definition at line 215 of file ExCAction.h.

#define HIDE_NET_STAT 31302

| Definition at line 361 of file ExCAction.h.

#define ID_LIST 31501

| Definition at line 378 of file ExCAction.h. Referenced by ExManagerId::InputAction().

#define LIST 30901

| Definition at line 279 of file ExCAction.h. Referenced by ExManagerModel::InputAction().

#define LIST_INTERFACE 30402

| Definition at line 203 of file ExCAction.h.

#define LIST_PARTICULESYSTEME 30707

| Definition at line 251 of file ExCAction.h.

#define LIST_SOUND 30300

| Definition at line 189 of file ExCAction.h.

#define LIST_TEXTURE 31401

| Definition at line 369 of file ExCAction.h.

#define LOAD_COMMAND_CONFIG_FILE 31201

| Definition at line 343 of file ExCAction.h.

#define LOAD_CONSOLE_CONFIG_FILE 31209

| Definition at line 351 of file ExCAction.h.

#define LOAD_EXEC_CONFIG_FILE 31204

| Definition at line 346 of file ExCAction.h.

#define LOAD_FILE 31202

| Definition at line 344 of file ExCAction.h.

#define LOAD_INTERFACE_FILE 31207

| Definition at line 349 of file ExCAction.h.

#define LOAD_MAP_FILE 31206

| Definition at line 348 of file ExCAction.h.

#define LOAD_MODELE_FILE 31205

| Definition at line 347 of file ExCAction.h.

#define LOAD_PART_CONFIG_FILE 31210

| Definition at line 352 of file ExCAction.h.

#define LOAD_PARTICULESYSTEME 30700

| Definition at line 244 of file ExCAction.h.

#define LOAD_SET_OF_FILE 31203

| Definition at line 345 of file ExCAction.h.

#define LOAD_SOUND_FILE 31208

| Definition at line 350 of file ExCAction.h.

#define LOAD_TEXTURE 31402

| Definition at line 370 of file ExCAction.h. Referenced by ExManagerTexture::InputAction().

#define LOOK_DOWN 30943

| Definition at line 289 of file ExCAction.h. Referenced by ExManagerModel::InputAction().

#define LOOK_UP 30942

| Definition at line 288 of file ExCAction.h. Referenced by ExManagerModel::InputAction().

#define MODEL_LOAD 30962

| Definition at line 303 of file ExCAction.h. Referenced by ExManagerModel::InputAction().

#define MODEL_LOAD_WITH_NAME 30961

| Definition at line 302 of file ExCAction.h. Referenced by ExManagerModel::InputAction().

#define MODEL_SET_ACTION 30960

| Definition at line 301 of file ExCAction.h. Referenced by ExManagerModel::InputAction().

#define MODEL_SET_ANGLE_X 30957

| Definition at line 298 of file ExCAction.h. Referenced by ExManagerModel::InputAction().

#define MODEL_SET_ANGLE_Y 30958

| Definition at line 299 of file ExCAction.h. Referenced by ExManagerModel::InputAction().

#define MODEL_SET_ANGLE_Z 30959

| Definition at line 300 of file ExCAction.h. Referenced by ExManagerModel::InputAction().

#define MODEL_SET_POS_X 30954

| Definition at line 295 of file ExCAction.h. Referenced by ExManagerModel::InputAction().

#define MODEL_SET_POS_Y 30955

| Definition at line 296 of file ExCAction.h. Referenced by ExManagerModel::InputAction().

#define MODEL_SET_POS_Z 30956

| Definition at line 297 of file ExCAction.h. Referenced by ExManagerModel::InputAction().

#define NEXT_FRAME 30904

| Definition at line 282 of file ExCAction.h. Referenced by ExManagerModel::InputAction().

#define NOTHING 0

| Definition at line 121 of file ExCAction.h.

#define PAUSE_ALL_PARTICULESYSTEME 30706

| Definition at line 250 of file ExCAction.h.

#define PAUSE_PARTICULESYSTEME 30703

| Definition at line 247 of file ExCAction.h.

#define PLAY_SOUND 30302

| Definition at line 191 of file ExCAction.h.

#define PREVIOUS_FRAME 30905

| Definition at line 283 of file ExCAction.h. Referenced by ExManagerModel::InputAction().

#define QUIT 30001

| Definition at line 122 of file ExCAction.h.

#define REMOVE_SOUND 30301

| Definition at line 190 of file ExCAction.h.

#define RESET 30002

| Definition at line 123 of file ExCAction.h.

#define ROTATE_X_DOWN 60005

| Definition at line 399 of file ExCAction.h. Referenced by ExManagerCamera::InputAction(), and ExCCamera::Process().

#define ROTATE_X_UP 60002

| Definition at line 396 of file ExCAction.h. Referenced by ExManagerCamera::InputAction(), and ExCCamera::Process().

#define ROTATE_Y_DOWN 60004

| Definition at line 398 of file ExCAction.h. Referenced by ExManagerCamera::InputAction(), and ExCCamera::Process().

#define ROTATE_Y_UP 60001

| Definition at line 395 of file ExCAction.h. Referenced by ExManagerCamera::InputAction(), and ExCCamera::Process().

#define ROTATE_Z_DOWN 60003

| Definition at line 397 of file ExCAction.h. Referenced by ExManagerCamera::InputAction(), and ExCCamera::Process().

#define ROTATE_Z_UP 60000

| Definition at line 394 of file ExCAction.h. Referenced by ExManagerCamera::InputAction(), and ExCCamera::Process().

#define SET_CONSOL_BACKGROUND_BLENDING 30811

| Definition at line 267 of file ExCAction.h.

#define SET_CONSOL_BACKGROUND_COLOR 30804

| Definition at line 261 of file ExCAction.h.

#define SET_CONSOL_BACKGROUND_COLOR_BLUE 30805

| Definition at line 262 of file ExCAction.h.

#define SET_CONSOL_BACKGROUND_COLOR_GREEN 30806

| Definition at line 263 of file ExCAction.h.

#define SET_CONSOL_BACKGROUND_COLOR_RED 30807

| Definition at line 264 of file ExCAction.h.

#define SET_CONSOL_BACKGROUND_TEXURE 30803

| Definition at line 260 of file ExCAction.h.

#define SET_CURENT_FRAME 30906

| Definition at line 284 of file ExCAction.h. Referenced by ExManagerModel::InputAction().

#define SET_CURRENT_MENU 31004

| Definition at line 313 of file ExCAction.h. Referenced by ExManagerMenu::InputAction().

#define SET_CURRENT_OBJECT_BY_ID 30902

| Definition at line 280 of file ExCAction.h. Referenced by ExManagerModel::InputAction().

#define SET_CURRENT_OBJECT_BY_NAME 30903

| Definition at line 281 of file ExCAction.h. Referenced by ExManagerModel::InputAction().

#define SET_FOG_ALGO_EXP 30610

| Definition at line 238 of file ExCAction.h.

#define SET_FOG_ALGO_EXP2 30609

| Definition at line 237 of file ExCAction.h.

#define SET_FOG_ALGO_LINEAR 30608

| Definition at line 236 of file ExCAction.h.

#define SET_FOG_COLOR_B 30604

| Definition at line 232 of file ExCAction.h.

#define SET_FOG_COLOR_G 30603

| Definition at line 231 of file ExCAction.h.

#define SET_FOG_COLOR_R 30602

| Definition at line 230 of file ExCAction.h.

#define SET_FOG_DENSITY 30607

| Definition at line 235 of file ExCAction.h.

#define SET_FOG_END_POINT 30606

| Definition at line 234 of file ExCAction.h.

#define SET_FOG_START_POINT 30605

| Definition at line 233 of file ExCAction.h.

#define SET_POLYGONMODE_FILL 31117

| Definition at line 336 of file ExCAction.h. Referenced by ExManagerWindow::InputAction().

#define SET_POLYGONMODE_LINES 31116

| Definition at line 335 of file ExCAction.h. Referenced by ExManagerWindow::InputAction().

#define SET_POLYGONMODE_POINTS 31115

| Definition at line 334 of file ExCAction.h. Referenced by ExManagerWindow::InputAction().

#define SET_REPEATS_SOUND 30304

| Definition at line 193 of file ExCAction.h.

#define SET_RESOLUTION_1024_768_16 31109

| Definition at line 328 of file ExCAction.h.

#define SET_RESOLUTION_1024_768_24 31110

| Definition at line 329 of file ExCAction.h.

#define SET_RESOLUTION_1024_768_32 31111

| Definition at line 330 of file ExCAction.h.

#define SET_RESOLUTION_1600_1200_16 31112

| Definition at line 331 of file ExCAction.h.

#define SET_RESOLUTION_1600_1200_24 31113

| Definition at line 332 of file ExCAction.h.

#define SET_RESOLUTION_1600_1200_32 31114

| Definition at line 333 of file ExCAction.h.

#define SET_RESOLUTION_800_600_16 31106

| Definition at line 325 of file ExCAction.h.

#define SET_RESOLUTION_800_600_24 31107

| Definition at line 326 of file ExCAction.h.

#define SET_RESOLUTION_800_600_32 31108

| Definition at line 327 of file ExCAction.h.

#define SHOW_FPS_STAT 31101

| Definition at line 320 of file ExCAction.h.

#define SHOW_FULL_CONSOL 30812

| Definition at line 268 of file ExCAction.h.

#define SHOW_HALF_CONSOL 30813

| Definition at line 269 of file ExCAction.h.

#define SHOW_INTERFACE_REGION 30400

| Definition at line 201 of file ExCAction.h.

#define SHOW_MAP_MESH 30502

| Definition at line 216 of file ExCAction.h.

#define SHOW_MAP_OCTREE_SUBDIVISON 30506

| Definition at line 220 of file ExCAction.h.

#define SHOW_MAP_SKY_BOX 30500

| Definition at line 214 of file ExCAction.h.

#define SHOW_NET_STAT 31301

| Definition at line 360 of file ExCAction.h.

#define SPEED_DOWN 60009

| Definition at line 403 of file ExCAction.h. Referenced by ExCCamera::Process().

#define SPEED_UP 60008

| Definition at line 402 of file ExCAction.h. Referenced by ExCCamera::Process().

#define STAR_ALL_PARTICULESYSTEME 30704

| Definition at line 248 of file ExCAction.h.

#define STAR_PARTICULESYSTEME 30701

| Definition at line 245 of file ExCAction.h.

#define START_ACTION 30952

| Definition at line 292 of file ExCAction.h. Referenced by ExManagerModel::InputAction().

#define START_BASIC_ACTION_MAP 30000

| Definition at line 120 of file ExCAction.h.

#define START_CAMERA_ACTION_MAP 30099

| Definition at line 128 of file ExCAction.h.

#define START_COMMAND_ACTION_MAP 31200

| Definition at line 342 of file ExCAction.h. Referenced by ExManagerCommand::ProcesExCAction().

#define START_CONSOL_ACTION_MAP 30800

| Definition at line 257 of file ExCAction.h.

#define START_CUSTOM_ACTION_ACTION_MAP 39999

| Definition at line 384 of file ExCAction.h.

#define START_FOG_ACTION_MAP 30599

| Definition at line 227 of file ExCAction.h.

#define START_ID_ACTION_MAP 31500

| Definition at line 377 of file ExCAction.h. Referenced by ExManagerCommand::ProcesExCAction().

#define START_INTERFACE_ACTION_MAP 30399

| Definition at line 200 of file ExCAction.h.

#define START_MAP_ACTION_MAP 30499

| Definition at line 213 of file ExCAction.h.

#define START_MENU_ACTION_MAP 31000

| Definition at line 309 of file ExCAction.h. Referenced by ExManagerCommand::ProcesExCAction().

#define START_MODEL_ACTION_MAP 30900

| Definition at line 278 of file ExCAction.h. Referenced by ExManagerCommand::ProcesExCAction().

#define START_NETWORK_ACTION_MAP 31300

| Definition at line 359 of file ExCAction.h. Referenced by ExManagerCommand::ProcesExCAction().

#define START_PARTICULESYSTEME_ACTION_MAP 30699

| Definition at line 243 of file ExCAction.h.

#define START_RUN 30950

| Definition at line 290 of file ExCAction.h.

#define START_SOUND_ACTION_MAP 30299

| Definition at line 188 of file ExCAction.h.

#define START_TEXTURE_ACTION_MAP 31400

| Definition at line 368 of file ExCAction.h.

#define START_WINDOW_ACTION_MAP 31100

| Definition at line 319 of file ExCAction.h. Referenced by ExManagerCommand::ProcesExCAction().

#define STOP_ACTION 30953

| Definition at line 293 of file ExCAction.h. Referenced by ExManagerModel::InputAction().

#define STOP_ALL_PARTICULESYSTEME 30705

| Definition at line 249 of file ExCAction.h.

#define STOP_PARTICULESYSTEME 30702

| Definition at line 246 of file ExCAction.h.

#define STOP_RUN 30951

| Definition at line 291 of file ExCAction.h.

#define STOP_SOUND 30303

| Definition at line 192 of file ExCAction.h.

#define SWITCH_GRIDE 31105

| Definition at line 324 of file ExCAction.h.

#define TURN_LEFT 30940

| Definition at line 286 of file ExCAction.h. Referenced by ExManagerModel::InputAction().

#define TURN_RIGHT 30941

| Definition at line 287 of file ExCAction.h. Referenced by ExManagerModel::InputAction().

#define UNLOAD_TEXTURE 31403

| Definition at line 371 of file ExCAction.h. Referenced by ExManagerTexture::InputAction().

#define ZOOM_DOWN 60007

| Definition at line 401 of file ExCAction.h. Referenced by ExManagerCamera::InputAction(), and ExCCamera::Process().

#define ZOOM_UP 60006

| Definition at line 400 of file ExCAction.h. Referenced by ExManagerCamera::InputAction(), and ExCCamera::Process().